#!/bin/bash

number=$((RANDOM % 100 + 1))
attempts=0

echo "Добро пожаловать в игру 'Угадай число'!"
echo "Я загадал число от 1 до 100. Попробуйте его угадать!"

while true; do
    read -p "Введите ваше число: " guess


    ((attempts++))

    if [ "$guess" -eq "$number" ]; then
        echo "Поздравляю! Вы угадали число $number за $attempts попыток!"
        break
    elif [ "$guess" -lt "$number" ]; then
        echo "Загаданное число больше. Попробуйте еще раз."
    else
        echo "Загаданное число меньше. Попробуйте еще раз."
    fi
done
